Bug 196621 - Review Request: perl-IO-Digest - Perl module to calculate digests while reading or writing
Review Request: perl-IO-Digest - Perl module to calculate digests while readi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 196623
Blocks: FE-ACCEPT 196629
  Show dependency treegraph
 
Reported: 2006-06-25 21:54 EDT by Ian Burrell
Modified: 2008-06-16 11:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 02:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2006-06-25 21:54:41 EDT
Spec URL: http://znark.com/fedora/perl-IO-Digest.spec
SRPM URL: http://znark.com/fedora/perl-IO-Digest-0.10-2.src.rpm
Description: This module allows you to calculate digests while reading or writing file handles. This avoids the case you need to reread the same content to compute the digests after written a file.

It is required by perl-SVK.
Comment 2 Jason Tibbitts 2006-06-28 20:29:42 EDT
I cannot fetch the spec via that URL.  I can get the srpm fine, however.

You have a duplicated dependency on PerlIO::via::dynamic.  Since you've just
packaged this, I think it safe to say that the necessary version is in Extras
and the dependency can be dropped.  Otherwise you'll need to filter.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream. 
* source files match upstream:
   0448841e0559c2c19c7e8001ef087e26  IO-Digest-0.10.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
X a duplicated dependency:
   perl(IO::Digest) = 0.10
   perl-IO-Digest = 0.10-3.fc6
  =
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.8.8)
   perl(Digest)
X  perl(PerlIO::via::dynamic)
X  perl(PerlIO::via::dynamic) >= 0.10
   perl(strict)
   perl(warnings)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=4,  0 wallclock secs ( 0.04 cusr +  0.04 csys =  0.08 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 3 Ian Burrell 2006-06-28 20:40:51 EDT
Fixed duplicated dependency.

Spec: http://znark.com/fedora/perl-IO-Digest.spec
SRPMS: http://znark.com/fedora/perl-IO-Digest-0.10-4.src.rpm
Comment 4 Jason Tibbitts 2006-06-28 21:26:54 EDT
The duplicated dependency is indeed fixed.

APPROVED
Comment 5 Ian Burrell 2006-06-29 02:54:42 EDT
Built for devel.
Comment 6 Ian Burrell 2008-06-11 20:27:10 EDT
Package Change Request
======================
Package Name: perl-IO-Digest
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2008-06-12 11:55:26 EDT
cvs done.
Comment 8 Ian Burrell 2008-06-13 19:37:09 EDT
Package Change Request
======================
Package Name: perl-IO-Digest
New Branches: EL-4 EL-5

I don't see the EL-4 and EL-5 branches for perl-IO-Digest and it has been a
whole day.
Comment 9 Kevin Fenzi 2008-06-16 11:58:33 EDT
sorry about that... try now?

Note You need to log in before you can comment on or make changes to this bug.